#include "xparameters.h"
#include "xgpio.h"
#include "xstatus.h"

#define DELAY 1000000

void delay (int delay)
{
	volatile int i;
	for(i = 0; i<delay; i++){}
}

XGpio Gpio;

int main()
{
	XStatus Status;
	Status = XGpio_Initialize(&Gpio, XPAR_GENERIC_GPIO_DEVICE_ID); 
	
	print("Hello World \n\r");

	for(;;)
	{
		XGpio_DiscreteWrite(&Gpio, 1, 0x01);
		delay(DELAY);
		XGpio_DiscreteWrite(&Gpio, 1, 0x02);
		delay(DELAY);
		XGpio_DiscreteWrite(&Gpio, 1, 0x04);
		delay(DELAY);
		XGpio_DiscreteWrite(&Gpio, 1, 0x40);
		delay(DELAY);
	}
	
	
}